Bug 1287835 - abiword screen flickering
abiword screen flickering
Status: NEW
Product: Fedora
Classification: Fedora
Component: abiword (Show other bugs)
25
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Marc Maurer
Fedora Extras Quality Assurance
: Reopened
: 1450574 (view as bug list)
Depends On:
Blocks: 1450574
  Show dependency treegraph
 
Reported: 2015-12-02 14:18 EST by Don Swaner
Modified: 2017-10-13 15:44 EDT (History)
14 users (show)

See Also:
Fixed In Version: abiword-3.0.2-3.fc24 abiword-3.0.2-3.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 01:23:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Abisource 13791 None None None 2017-08-16 15:16 EDT

  None (edit)
Description Don Swaner 2015-12-02 14:18:23 EST
Description of problem:
The top inch or so of the abiword main screen (that is, the "document page") flickers excessively, making it unusable.

Version-Release number of selected component (if applicable):
abiword-1:3.0.1-4.fc23.x86_64

How reproducible:
always

Steps to Reproduce:
1.  start abiword
2.  type a word

Actual results:
The top inch or so of the "page" flickers.

Expected results:
No flickering.

Additional info:
Starting abiword, the initial blank "page" does not flicker.  But as soon as a word is typed, it starts flickering.  This occurs both when the abiword screen is maximized, and when it is not maximized.  Opening an existing document causes instant flickering.  The flickering "rolls" from top to bottom.
Comment 1 Veteran 2016-06-06 13:35:12 EDT
I am also having this issue. Has this really not moved since December?
Comment 2 Veteran 2016-06-06 13:41:17 EDT
In addition to what Don says, opening an existing document will start the flickering.

(In reply to Don Swaner from comment #0)
> Description of problem:
> The top inch or so of the abiword main screen (that is, the "document page")
> flickers excessively, making it unusable.
> 
> Version-Release number of selected component (if applicable):
> abiword-1:3.0.1-4.fc23.x86_64
> 
> How reproducible:
> always
> 
> Steps to Reproduce:
> 1.  start abiword
> 2.  type a word
> 
> Actual results:
> The top inch or so of the "page" flickers.
> 
> Expected results:
> No flickering.
Comment 3 Veteran 2016-06-06 13:45:45 EDT
My abiword version is 3.0.1-10.fc23
Comment 4 James Cameron 2016-07-06 19:54:04 EDT
Also occurs Fedora 24 per https://bugs.sugarlabs.org/ticket/4915 where an underlying cause was repeating draw signal from the Abi.Widget.

Also occurs Ubuntu 16.04 per https://bugs.launchpad.net/ubuntu/+source/abiword/+bug/1574278 where workarounds using Gtk theme were described.
Comment 5 James Cameron 2016-07-06 20:07:04 EDT
http://bugzilla.abisource.com/show_bug.cgi?id=13791
Comment 6 Hubert Figuiere 2016-07-06 21:35:44 EDT
Upstream maintainer here.

I have been using Fedora since Fedora 14 and never seen that issue. Be it on the packaged version (I just tried again) or upstram compiled from source. Using the default Adwaita theme in GNOME.

We are gonna need more details on what could be a contributing factor to the problem.
Comment 7 Don Swaner 2016-07-07 07:14:14 EDT
Flickering still happening in F23:
abiword-3.0.1-10.fc23.x86_64
-----------------------------------
Flickering does NOT happen in F24:
abiword-3.0.1-10.fc24.x86_64

Using mate-desktop.  Using Nouveau.

Have been using abiword for many Fedora releases.  Never experienced this problem until F23.  Problem goes away in F24.
Comment 8 Don Swaner 2016-07-09 13:46:17 EDT
As per comment 4 and Ubuntu bug https://bugs.launchpad.net/ubuntu/+source/abiword/+bug/1574278, if you change the desktop theme to Adwaita, the flickering goes away.  All of the MATE desktop themes cause flickering for me (in F23) except for Adwaita and the High Contrast theme with the brown folder.  (Note that my Adwaita theme is semi-broken, in that it complains that "This theme will not look as intended because the required window manager theme 'Adwaita' is not installed.")
Comment 9 Hubert Figuiere 2016-07-09 21:03:49 EDT
(In reply to Don Swaner from comment #8)
> As per comment 4 and Ubuntu bug
> https://bugs.launchpad.net/ubuntu/+source/abiword/+bug/1574278, if you
> change the desktop theme to Adwaita, the flickering goes away.  All of the
> MATE desktop themes cause flickering for me (in F23) except for Adwaita and
> the High Contrast theme with the brown folder.  (Note that my Adwaita theme
> is semi-broken, in that it complains that "This theme will not look as
> intended because the required window manager theme 'Adwaita' is not
> installed.")

And what window manager do you use then?
Comment 10 Don Swaner 2016-07-10 07:46:16 EDT
See Fedora Forum http://forums.fedoraforum.org/showthread.php?t=309946 for a discussion and fix re Adwaita theme and MATE desktop: "select Adwaita, then click customise. change the window border to anaconda. then click to save the theme and give it the name Adwaita."  This fix gets rid of the Adwaita warning message and also fixes the Abiword flicker.
Comment 11 Hubert Figuiere 2016-07-11 23:07:54 EDT
So, I installed MATE Desktop and I couldn't reproduce. 

(but it definitely wreaked some havoc)
Comment 12 Don Swaner 2016-07-12 06:49:11 EDT
I have an older PC: 1 CPU: AMD Athlon(tm) 64 Processor 3500+
smpboot: Total of 1 processors activated (4409.13 BogoMIPS)
NOUVEAU(0): Chipset: "NVIDIA NV4E"
and only 2G of memory.
Even if I close all windows except Abiword, I still get the flickering, so the problem isn't memory. Perhaps under F23 there just isn't enough CPU cycles with all the usual system processes going on?  Perhaps the F24 system is better optimized so there isn't any flickering (on my machine)?

In comment 4, the bug described at https://bugs.sugarlabs.org/ticket/4915 references the Gnome desktop, and in the other link: https://bugs.launchpad.net/ubuntu/+source/abiword/+bug/1574278, indicates flickering with LXDE and Openbox desktops.  So the problem has been observed on at least 4 different desktops, and multiple Linux distros.  Maybe "older machine" is the commonality?
Comment 13 Don Swaner 2016-07-13 14:00:06 EDT
In F24, even if a kernel compile is running (using kcbench), so that CPU usage is 100%, there is not any flickering with abiword, which would go to show that the problem with abiword flickering in F23 is NOT due to my older machine.
Comment 14 Fedora End Of Life 2016-11-24 08:56:16 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Hubert Figuiere 2016-11-24 09:11:47 EST
Still happenning even in F25 since upstream bug hasn't been closed.
Comment 16 Don Swaner 2016-11-25 14:45:13 EST
As noted in comment 13, the abiword flickering problem for me personally ended with F23.  As far as I am concerned, the bug was fixed with F24.  It may have had to do with a kernel release.  If you need to keep this bug open for some other reason, fine.
Comment 17 Don Swaner 2016-11-25 17:40:43 EST
See bug https://bugzilla.redhat.com/show_bug.cgi?id=1398773 - F25 has a flickering problem, but different symptoms than this bug.
Comment 18 Fedora Update System 2016-11-29 21:37:03 EST
abiword-3.0.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d2e43d0928
Comment 19 Fedora Update System 2016-11-29 21:38:09 EST
abiword-3.0.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ea95a6a39f
Comment 20 Fedora Update System 2016-11-30 03:18:12 EST
abiword-3.0.2-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-673afe7e75
Comment 21 Fedora Update System 2016-11-30 03:18:59 EST
abiword-3.0.2-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-564152f164
Comment 22 Fedora Update System 2016-12-02 23:32:52 EST
abiword-3.0.2-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-564152f164
Comment 23 Fedora Update System 2016-12-03 00:39:52 EST
abiword-3.0.2-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-673afe7e75
Comment 24 Peter Robinson 2016-12-04 23:50:20 EST
Hub I can confirm here the black screen is still there on at least Fedora 25 with 3.0.2 on Xorg just opening up Abiword to a new blank doc.

More details from others in the updates:
F-24: https://bodhi.fedoraproject.org/updates/FEDORA-2016-673afe7e75
F-25: https://bodhi.fedoraproject.org/updates/FEDORA-2016-564152f164

Let me know if there's patches you would like me to test.
Comment 25 Hubert Figuiere 2016-12-05 00:02:06 EST
black screen is another bug we already know about upstream. Introduced with Gtk 3.22. The flickering hasn't been fixed, yet it is not reproducible in all configurations.
Comment 26 Peter Robinson 2016-12-05 00:10:32 EST
(In reply to Hubert Figuiere from comment #25)
> black screen is another bug we already know about upstream. Introduced with
> Gtk 3.22. The flickering hasn't been fixed, yet it is not reproducible in
> all configurations.

what is the upstream bug for the black screen? Is there an upstream bug for the flickering?
Comment 27 Hubert Figuiere 2016-12-06 08:51:35 EST

Black screen http://bugzilla.abisource.com/show_bug.cgi?id=13791
(works fine with Gtk 3.20 - so F24 should be safe - or a flatpak with the proper runtime)


Flickering is http://bugzilla.abisource.com/show_bug.cgi?id=13791 To reproduce here I have to run in Xnest.
Comment 28 Hubert Figuiere 2016-12-06 08:54:05 EST
ok. cut & paste glitch.

Black screen is actually http://bugzilla.abisource.com/show_bug.cgi?id=13815

Flickering is http://bugzilla.abisource.com/show_bug.cgi?id=13791

Sorry about that.
Comment 29 Veteran 2016-12-07 11:50:22 EST
The prior 3.0.1 version was working well for me in fc24 (except for black ruler-but I can live with that ok) but this version introduces an approx 1 cycle per second flickering of the display. It did fix black ruler in 3.0.1, but I am going to revert back from 3.0.2
Comment 30 Hubert Figuiere 2016-12-07 21:15:16 EST
I never had the problem on Fedora until I tried in Xnest, that is run in Wayland, so I'm still curious which config causes it.

The black screen was just fixed upstream and will be in 3.0.3. Albeit not sure when I'll release 3.0.3. I'll try soon, but I'd love to have this bug fixed too, once and for all.
Comment 31 Peter Robinson 2016-12-07 21:44:39 EST
> The black screen was just fixed upstream and will be in 3.0.3. Albeit not

I'm happy to pull in patches if you provide git references or links.
Comment 32 Hubert Figuiere 2016-12-07 21:58:21 EST
See bug 1390020 comment 8
Comment 33 Fedora Update System 2016-12-07 23:28:19 EST
abiword-3.0.2-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ffbf1200ab
Comment 34 Fedora Update System 2016-12-07 23:29:34 EST
abiword-3.0.2-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ca183cdc57
Comment 35 Veteran 2016-12-08 13:45:35 EST
I just tried 302-3-fc25 and the screen was black until I clicked in it. After that the screen was white but flickered. Ruler is white btw. I can try it on fc24 when I get home tonight. For the time being I have reverted to 301.
Comment 36 Fedora Update System 2016-12-08 14:24:09 EST
abiword-3.0.2-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ffbf1200ab
Comment 37 Fedora Update System 2016-12-08 14:26:05 EST
abiword-3.0.2-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ca183cdc57
Comment 38 Fedora Update System 2016-12-20 01:23:08 EST
abiword-3.0.2-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 39 Don Swaner 2016-12-20 09:12:14 EST
The problem still persists for me with abiword-3.0.2-3.fc24.  The top inch or so of the screen flickers for about 10 seconds when: abiword is started; the page is clicked on; text is entered; page up to top of document.  For me abiword-3.0.2-3.fc24 is unusable.

abiword-1:3.0.1-10.fc24.x86_64 works fine for me.

My hardware:
Computer: Compaq Presario
CPU: AMD Athlon(tm) 64 Processor 3500+
System Memory: 2GiB
Video: GeForce 6150 LE, NVIDIA Corporation, driver nouveau
Comment 40 Hubert Figuiere 2016-12-20 09:48:31 EST
There was never any claim this one was fixed upstream. This bug should be reopen.
Comment 41 Fedora Update System 2016-12-20 12:20:59 EST
abiword-3.0.2-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 42 Don Swaner 2016-12-20 14:48:36 EST
Problems still persist for abiword-3.0.2-3.fc25.  Same symptoms as F24.  Mate desktop environment for both F24 and F25.  A couple of issues with F25 have been temporarily solved for me by turning off hardware acceleration (for the nouveau driver).  However, the abiword flicker still occurs with or without hardware acceleration.
Comment 43 Peter Robinson 2016-12-20 20:25:28 EST
(In reply to Hubert Figuiere from comment #40)
> There was never any claim this one was fixed upstream. This bug should be
> reopen.

Was going to once all the updates are through bodhi else it just overrides it.
Comment 44 Hubert Figuiere 2016-12-21 23:44:04 EST
I have attached a patch on the upstream bug. If somebody could test it before we commit to it. That will warrant a 3.0.3 release is this works.

Thanks !
Comment 45 Peter Robinson 2016-12-22 00:29:15 EST
F-25 scratch build here https://koji.fedoraproject.org/koji/taskinfo?taskID=17021918
Comment 46 James Cameron 2016-12-22 01:27:27 EST
Thanks.

Tested F-25 as installed from workstation media, first with abiword-3.0.2-3.fc25 installed with dnf, and then scratch build abiword-3.0.2-3.1.fc25 and libabiword-3.0.2-3.1.fc25 installed with rpm.

No change to observed symptoms.  High CPU load; one core at 100%, rapid flicker of text insertion cursor.  Draw callback test program from http://bugzilla.abisource.com/show_bug.cgi?id=13791#c14 showed continuous __draw_cb lines.
Comment 47 rickard.gerthsson 2016-12-22 13:22:26 EST
The black flickering is gone on my F25 installation but now some smaller white flickering is happening and GNOME Screen recording (Shift+Ctlr+Alt+R) did not capture it.
Comment 48 rickard.gerthsson 2017-01-13 19:36:28 EST
Has anyone got anywhere with this bug?
Comment 49 R P Herrold 2017-07-14 16:01:31 EDT
https://bbs.archlinux.org/viewtopic.php?id=176663  notes that this is probably attributable to the windowing toolkit:  gtk+ 

I get no flickering with something like this:
      export NO_AT_BRIDGE=1 ;  abiword  srgc-TEMPLATE-lease-ALL.doc


There is a test set of code in comment   at
https://bugzilla.abisource.com/show_bug.cgi?id=13791  

[herrold@centos-7 test]$ vi gtk-test.sh
[herrold@centos-7 test]$ chmod 755  gtk-test.sh
[herrold@centos-7 test]$ ./gtk-test.sh
Traceback (most recent call last):
  File "./gtk-test.sh", line 3, in <module>
    import gi
ImportError: No module named 'gi'

ad as the needed Python 3 module is not present on my box, I re-set to run with Python (2)

[herrold@centos-7 test]$ vi gtk-test.sh
[herrold@centos-7 test]$ ./gtk-test.sh

** (gtk-test.sh:6048): WARNING **: Couldn't register with accessibility bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
__draw_cb cr=(0.0, 0.0, 250.0, 250.0)
__draw_cb cr=(229.0, 5.0, 16.0, 240.0)
[herrold@centos-7 test]$ cat gtk-test.sh
#!/usr/bin/python

import gi

gi.require_version('Abi', '3.0')
from gi.repository import Abi

gi.require_version('Gtk', '3.0')
from gi.repository import Gtk

def __draw_cb(widget, cr):
    print('__draw_cb cr=%r' % cr.copy_clip_rectangle_list())

win = Gtk.Window(title="PyAbiword")
Abi.init([])
widget = Abi.Widget()
widget.connect('draw', __draw_cb)
win.add(widget)
win.connect("delete-event", Gtk.main_quit)
win.show_all()

Gtk.main()

---------- snip ------------
Comment 50 R P Herrold 2017-07-14 16:03:17 EDT
It may be sensible to put this reproducer into a separate bug for gtk+, and note it here
Comment 51 R P Herrold 2017-07-14 16:08:53 EDT
interestingly the inability to connect to the dbus (there is one running here) seems to be a failure of permissions down in glib


[357979.827469] SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
[358579.182509] SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
[358641.751116] abiword[5653]: segfault at 0 ip 00007fc02489e82d sp 00007ffc984e6980 error 4 in libglib-2.0.so.0.4600.2[7fc02484a000+134000]
[358654.274206] abiword[5654]: segfault at 0 ip 00007f688aeb982d sp 00007ffce5446210 error 4 in libglib-2.0.so.0.4600.2[7f688ae65000+134000]
[358681.837656] abiword[5667]: segfault at 0 ip 00007fa0509f282d sp 00007ffca49352a0 error 4 in libglib-2.0.so.0.4600.2[7fa05099e000+134000]
[358781.846179] abiword[5684]: segfault at 0 ip 00007f9d1281782d sp 00007fff44331570 error 4 in libglib-2.0.so.0.4600.2[7f9d127c3000+134000]
[358787.534055] abiword[5685]: segfault at 0 ip 00007f6ec0cfd82d sp 00007ffea4851130 error 4 in libglib-2.0.so.0.4600.2[7f6ec0ca9000+134000]
[359179.843690] SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
[359239.463505] SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
Comment 52 James Cameron 2017-07-14 16:45:00 EDT
As author of that reproducer ... NO_AT_BRIDGE has no effect, it still reproduces for me.
Comment 53 Gerardo Rosales 2017-08-16 08:42:52 EDT
This is happening to Fedora 26, Xfce spin. I've noticed when the text input cursor is blinking the screen flicks at the same pace. 

After a while, once the text input cursor stops, the screen flickering does it too.

I'm using Arc theme but tested it with Adwaita and Greybird but the issue still happens.

running 'abiword --verbose=2 File' doesn't display anything. Is there something else that can be done to help fixing this issue?

Thanks.
Comment 54 Peter Robinson 2017-08-16 08:49:43 EDT
Abiword is pretty quiet upstream, no posts to the dev mailing list this year [1], ultimately we're awaiting upstream dealing with this. At this point Abiword is close to dead upstream so it's very much take it as it is.

[1] https://www.abisource.com/mailinglists/abiword-dev/
Comment 55 Hubert Figuiere 2017-08-16 14:16:21 EDT
I am upstream (one of the only two committers in the last year).

If you want to help fixing the issue, you can provide a patch (I know what has to be done but it is non trivial), or you can find a way for the maintainer(s) to have more free time to commit to AbiWord.
Comment 56 James Cameron 2017-08-17 01:22:00 EDT
Yay, I think I've fixed it.  Please see patch on Abisource 13791, or
http://dev.laptop.org/~quozl/z/1diDDl.txt
Comment 57 Peter Robinson 2017-08-25 14:41:22 EDT
*** Bug 1450574 has been marked as a duplicate of this bug. ***
Comment 58 Ed Friedman 2017-08-28 14:15:23 EDT
(In reply to Gerardo Rosales from comment #53)
> This is happening to Fedora 26, Xfce spin. I've noticed when the text input
> cursor is blinking the screen flicks at the same pace. 
> 
> After a while, once the text input cursor stops, the screen flickering does
> it too.
> 
> I'm using Arc theme but tested it with Adwaita and Greybird but the issue
> still happens.
> 
> running 'abiword --verbose=2 File' doesn't display anything. Is there
> something else that can be done to help fixing this issue?
> 
> Thanks.

This is also happening to me on Fedora 26 using Xfce. Nothing has changed to fix this problem since it first arose on Fedora 25. I haven't tried a non-Xfce desktop to see if that improves things.
Comment 59 R P Herrold 2017-08-28 14:32:24 EDT
there is a patch waiting upstream at:
http://bugzilla.abisource.com/show_bug.cgi?id=13791

I have not had time to test locally yet

there is the suggesting in that thread that changing the theme underneath also mitigates the flicker
Comment 60 James Cameron 2017-08-28 18:10:23 EDT
The patch waiting upstream continues to work fine for me.

Changing the theme, making other applications busy, doing kernel compiles, enabling or disabling compositing window manager, typing, or even waving the mouse around can have an effect on this problem.  It is a race condition between a 10ms application timer and GTK+ drawing.  Changing the theme can increase the time to draw, and so for some people fixes the flickering.
Comment 61 Hubert Figuiere 2017-08-31 23:46:24 EDT
This patch break on Wayland. see comments on the upstream bug.

Note You need to log in before you can comment on or make changes to this bug.